# $Revision: 1.39 $, $Date: 2004/12/01 17:33:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	File
%define		pnam	Tail
Summary:	File::Tail Perl module - reading from continuously updated files
Summary(pl):	Modu Perla File::Tail - czytanie z cigle uaktualnianych plikw
Name:		perl-File-Tail
Version:	0.99.1
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e9f6d48af5dd79dcf9d954b25cec2972
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::Tail is a Perl tail. The primary purpose of File::Tail is
reading and analysing log files while they are being written, which is
especialy useful if you are monitoring the logging process with a tool
like Tobias Oetiker's MRTG.

%description -l pl
File::Tail to 'tail' dla Perla. Gwnym przeznaczeniem moduu jest
czytanie i analizowanie plikw logw podczas gdy s zapisywane, co
jest szczeglnie przydatne przy monitorowaniu procesu logowania przy
uyciu narzdzi takich jak MRTG Tobiasa Oetikera.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install logwatch select_demo $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/Tail.pm
# empty autosplit.ix
#%dir %{perl_vendorlib}/auto/File
#%dir %{perl_vendorlib}/auto/File/Tail
#%%{perl_vendorlib}/auto/File/Tail/autosplit.ix
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-File-Tail.spec,v $
Revision 1.39  2004/12/01 17:33:21  radek
- autoupdated to 0.99.1

Revision 1.38  2004/11/03 22:30:22  paladine
- formatting

Revision 1.37  2004/06/05 18:10:39  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.36  2004/06/02 08:19:47  ankry
- removed unnecessary R/BR, rel.++

Revision 1.35  2004/05/07 00:29:07  ankry
- rel. 11

Revision 1.34  2004/04/20 13:32:17  ankry
- license fixes / unification

Revision 1.33  2004/01/17 22:14:40  qboosh
- longer summaries/descriptions, new-style bcond, release 10

Revision 1.32  2003/12/11 15:43:13  undefine
- release 9 to rebuild with ac

Revision 1.31  2003/09/09 10:24:35  ankry
- spaces -> tab

Revision 1.30  2003/08/18 08:08:46  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/05/28 13:00:38  malekith
- massive attack: source-md5

Revision 1.28  2003/05/25 06:24:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.27  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.26  2003/03/01 19:09:10  radek
- should be ready for perl-5.8.0; release++

Revision 1.25  2003/02/28 10:08:21  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.24  2003/02/25 00:39:23  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:32:27  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/09/19 12:13:58  ankry
- added tests on bcond
- removed empty autosplit.ix
- release 7

Revision 1.21  2002/07/16 23:36:39  ankry
- translations, cleaning
- added %%{perl_sitelib}/auto/File dir
- demos moved to %%{_examplesdir}
- new %%doc
- release 6

Revision 1.20  2002/07/10 08:47:19  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.19  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 10:31:30  depesz
cleanup; revision++

Revision 1.17  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:14:42  depesz
automatic: Source location unified, Relase Up

Revision 1.15  2002/02/10 15:26:26  depesz
adapterized

Revision 1.14  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:09:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/14 01:55:25  kloczek
- updated to 0.98.

Revision 1.9  2001/01/04 00:19:06  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.8  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:52  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 20:45:12  pius
- updated to 0.95

Revision 1.2  1999/11/05 16:52:52  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
